<?php namespace EscapeWork\Manager\Medias\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Medias\Models\MediaModelSize;
use EscapeWork\Manager\Medias\Upload;

class MediaModelSizeRepository extends BaseRepository
{

    public function __construct(MediaModelSize $model)
    {
        $this->model = $model;
    }

    public function getByMediaModel($media_model_id)
    {
        return $this->model->where('media_model_id', '=', $media_model_id)->get();
    }
}
