(function() {
    var $form;

    $form = $('#form-medias');

    // ========================================================================
    //
    // ========================================================================
    $('.js-form-media-update').on('submit', function(e) {
        var $parent, $this, id;
        e.preventDefault();
        $this   = $(this);
        $btn    = $this.find('.js-btn-submit');

        $.ajax({
            type: 'POST',
            url: $this.prop('action'),
            data: $this.serialize(),

            beforeSend: function() {
                $btn.prop('disabled', true);
            }
        })
            .error(function(error) {

            })
            .always(function() {
                $btn.prop('disabled', false);
            });
    });

    // ======================================================
    // Thumbnails
    // ======================================================
    $('.js-thumbnails').sortable({
        update: function(e, ui) {
            var $thumbs, order;
            order   = 0;
            $thumbs = $('[data-media]');

            $thumbs.each(function(e) {
                var $this, id;
                $this = $(this);
                id    = $this.data('id');
                order++;

                $.post($form.prop('action') + '/' + id + '/order', {
                    '_method': 'put',
                    'order': order
                });
            });
        }
    });

    // ===============================================================================
    // Submit do form
    // ===============================================================================
    $('#form-medias').on('submit', function(e) {
        $(this).find('.js-btn-submit').button('loading');
    });

    // ===============================================================================
    // HTML5 file upload
    // ===============================================================================

}).call(this);
