<?php namespace EscapeWork\Manager\Medias\Providers;

use Illuminate\Support\ServiceProvider;
use View;

class MacrosServiceProvider extends ServiceProvider
{

    public function register()
    {
        $app = $this->app;

        $this->app->before(function() use($app)
        {
            # model - single file
            $app['form']->macro('manager_medias_mode_single_file', function($model, array $data = array())
            {
                $data = array_merge(['label' => 'Logotipo'], $data);

                return View::make('manager-medias::macros.model-single-media', [
                    'model' => $model,
                    'data'  => $data
                ])->render();
            });
        });
    }
}
